[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.HasParent

Returns True if there is a Parent component responsible for streaming.

## Declaration

Source position: controls.pp line 1706

`public function TControl.HasParent: Boolean; override;`

## Function result

True if there is a Parent.

## Description

HasParent is called during streaming to decide if a component has to be streamed by its owner or Parent.

## See also

TComponent.HasParent